Closed Bug 718912 Opened 8 years ago Closed 8 years ago

Port |Bug 717975 - only expose m-c implementation of navigator.mozApps on b2g| to SeaMonkey

Categories

(SeaMonkey :: Build Config, defect)

defect
Not set

Tracking

(seamonkey2.8 verified)

VERIFIED FIXED
seamonkey2.9
Tracking Status
seamonkey2.8 --- verified

People

(Reporter: sgautherie, Assigned: sgautherie)

References

Details

Attachments

(1 file, 1 obsolete file)

No description provided.
Flags: in-testsuite-
With removed-files.in part too.
Attachment #589394 - Flags: review?(bugspam.Callek)
I'm pretty sure you need to removed-files the .manifest and dom_apps, I could be wrong since i'm not looking too closely... but I'll defer real review for a few days.
(In reply to Justin Wood (:Callek) from comment #2)
> I'm pretty sure you need to removed-files the .manifest and dom_apps, I
> could be wrong since i'm not looking too closely

I didn't look too closely myself, but aren't .xpt merged into browser.xpt and .manifest into components.manifest?
http://build.mozillamessaging.com/tinderboxpushlog/?tree=ThunderbirdTry&rev=3097e9c39214
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTry/1326924492.1326931726.27202.gz&fulltext=1
Linux x86-64 try-comm-central leak test build on 2012/01/18 14:08:12
{
Error: package error or possible missing or unnecessary file: bin/components/Webapps.js (package-manifest, 313).
Error: package error or possible missing or unnecessary file: bin/components/Webapps.manifest (package-manifest, 314).
}
Blocks: 713134
Av1, with .jsm part too.
Attachment #589394 - Attachment is obsolete: true
Attachment #589394 - Flags: review?(bugspam.Callek)
Attachment #590209 - Flags: review?(bugspam.Callek)
Attachment #590209 - Flags: review?(bugspam.Callek) → review+
Comment on attachment 590209 [details] [diff] [review]
(Av1a) Stop packaging b2g-specific 'Webapps.js[m]'
[Checked in: Comments 6 and 10]

http://hg.mozilla.org/comm-central/rev/76bdaffc721c
Attachment #590209 - Attachment description: (Av1a) Stop packaging b2g-specific 'Webapps.js[m]' → (Av1a) Stop packaging b2g-specific 'Webapps.js[m]' [Checked in: Comment 6]
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Depends on: 714251
Resolution: --- → FIXED
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1327610237.1327612673.28151.gz&fulltext=1
Linux x86-64 comm-central-trunk build on 2012/01/26 12:37:17

V.Fixed
Status: RESOLVED → VERIFIED
Comment on attachment 590209 [details] [diff] [review]
(Av1a) Stop packaging b2g-specific 'Webapps.js[m]'
[Checked in: Comments 6 and 10]

"approval-comm-beta=?":
Per bug 717975 comment 22.
Attachment #590209 - Flags: approval-comm-beta?
Comment on attachment 590209 [details] [diff] [review]
(Av1a) Stop packaging b2g-specific 'Webapps.js[m]'
[Checked in: Comments 6 and 10]

a+=me assuming serge feels we need this on beta, I did not verify if we do. (though he did request this and write the patch, so I think its a good chance he does) :-)
Attachment #590209 - Flags: approval-comm-beta? → approval-comm-beta+
Keywords: checkin-needed
Whiteboard: [c-n: 76bdaffc721c to c-b]
Comment on attachment 590209 [details] [diff] [review]
(Av1a) Stop packaging b2g-specific 'Webapps.js[m]'
[Checked in: Comments 6 and 10]

http://hg.mozilla.org/releases/comm-beta/rev/5bb78691db0a
Attachment #590209 - Attachment description: (Av1a) Stop packaging b2g-specific 'Webapps.js[m]' [Checked in: Comment 6] → (Av1a) Stop packaging b2g-specific 'Webapps.js[m]' [Checked in: Comments 6 and 10]
Keywords: checkin-needed
Whiteboard: [c-n: 76bdaffc721c to c-b]
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1331098114.1331108574.32664.gz&fulltext=1
WINNT 5.2 comm-beta build on 2012/03/06 21:28:34

No more
{
Warning: package error or possible missing or unnecessary file: bin/components/Webapps.js (package-manifest, 315).
Warning: package error or possible missing or unnecessary file: bin/components/Webapps.manifest (package-manifest, 316).
}

seamonkey2.8: verified.
Blocks: 735555
You need to log in before you can comment on or make changes to this bug.